using SteamWare;
using System;

namespace GMW.App_Start
{
    public class MyStartup
    {
        public static void Init()
        {
            SteamWare.Logger.Logging.Instance.Info("Esecuzione MyStartup.init()", tipoLog.STARTUP);
            try
            {
                // inizializzo appConf prima di tutto il resto...
                memLayer.ML.resetAppConf();
                SteamWare.Logger.Logging.Instance.Info("Completata esecuzione preliminare setup AppConf", tipoLog.STARTUP);
            }
            catch (Exception exc)
            {
                SteamWare.Logger.Logging.Instance.Info(string.Format("Eccezione in fase di INIT preliminare applicazione{0}{1}", Environment.NewLine, exc), tipoLog.EXCEPTION);
            }
        }
    }
}